This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 506930 - Fedora installer fails to upgrade system from x64 DVD
Fedora installer fails to upgrade system from x64 DVD
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: parted (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Joel Andres Granados
Fedora Extras Quality Assurance
http://www.pihhan.info/bugs/fedora11/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-19 07:14 EDT by Petr Mensik
Modified: 2009-12-16 08:31 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-16 08:31:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Fedora 10 dmesg on same machine, from system to be upgraded (35.29 KB, text/plain)
2009-06-19 07:14 EDT, Petr Mensik
no flags Details
storage.log (32.33 KB, text/plain)
2009-06-19 09:00 EDT, Petr Mensik
no flags Details
anaconda.log (33.65 KB, text/plain)
2009-06-19 09:01 EDT, Petr Mensik
no flags Details

  None (edit)
Description Petr Mensik 2009-06-19 07:14:04 EDT
Created attachment 348639 [details]
Fedora 10 dmesg on same machine, from system to be upgraded

Description of problem:
Right after i selected i want upgrade in installer and chosen partition, i got general error i cannot solve anyhow. It says Device setup failed, cannot commit to disk after 5 attempts

Version-Release number of selected component (if applicable):
Fedora 11 released installer, from X64 DVD

How reproducible:
Always

Steps to Reproduce:
1. Insert DVD, boot it
2. Choose language - czech
3. Choose upgrade and select Fedora 10 root partition - /dev/sda3, only one available, nothing to choose from really
  
Actual results:
http://www.pihhan.info/bugs/fedora11/cimg5966-0.jpg
Really does not move far, no way to change results, no options. Just error and only option is installation termination.

Expected results:
No error but anything like progress bars, choosing of packages or anything installer can do on upgrade.

Additional info:
I have several linuxes there, several partitions. Fdisk output:
$ LANG=C sudo fdisk -l

Disk /dev/sda: 1000.2 GB, 1000203804160 bytes
255 heads, 63 sectors/track, 121601 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Disk identifier: 0xb93837f7

   Device Boot      Start         End      Blocks   Id  System
/dev/sda1               1        8355    67108864    7  HPFS/NTFS
/dev/sda2   *        8355       16710    67108864    7  HPFS/NTFS
/dev/sda3           16710       25065    67108864   83  Linux
/dev/sda4           25065      110624   687258640+   f  W95 Ext'd (LBA)
/dev/sda5           25065       91902   536870912    7  HPFS/NTFS
/dev/sda6           91903       94941    24410736   83  Linux
/dev/sda7           94942      107099    97659103+  83  Linux
/dev/sda8          107100      107585     3903763+  82  Linux swap / Solaris
/dev/sda9          107586      110624    24410736   83  Linux

$ mount
/dev/sda3 on / type ext3 (rw)
/proc on /proc type proc (rw)
sysfs on /sys type sysfs (rw)
devpts on /dev/pts type devpts (rw,gid=5,mode=620)
/dev/sda7 on /home type ext3 (rw)
tmpfs on /dev/shm type tmpfs (rw)
none on /proc/sys/fs/binfmt_misc type binfmt_misc (rw)
sunrpc on /var/lib/nfs/rpc_pipefs type rpc_pipefs (rw)
gvfs-fuse-daemon on /home/pihhan/.gvfs type fuse.gvfs-fuse-daemon (rw,nosuid,nodev,user=pihhan)
/dev/sda6 on /media/Debian type ext3 (rw,nosuid,nodev,uhelper=hal)
/dev/sda2 on /media/Vista 64 type fuseblk (rw,nosuid,nodev,allow_other,blksize=4096)
/dev/sda9 on /media/disk type reiserfs (rw,nosuid,nodev,uhelper=hal)
/dev/sda5 on /media/TZ Data type fuseblk (rw,nosuid,nodev,allow_other,blksize=4096)
/dev/sda1 on /media/Windows7 type fuseblk (rw,nosuid,nodev,allow_other,blksize=4096)

$ lspci
00:00.0 Host bridge: Advanced Micro Devices [AMD] RS780 Host Bridge
00:01.0 PCI bridge: Advanced Micro Devices [AMD] RS780 PCI to PCI bridge (int gfx)
00:0a.0 PCI bridge: Advanced Micro Devices [AMD] RS780 PCI to PCI bridge (PCIE port 5)
00:11.0 SATA controller: ATI Technologies Inc SB700/SB800 SATA Controller [AHCI mode]
00:12.0 USB Controller: ATI Technologies Inc SB700/SB800 USB OHCI0 Controller
00:12.1 USB Controller: ATI Technologies Inc SB700 USB OHCI1 Controller
00:12.2 USB Controller: ATI Technologies Inc SB700/SB800 USB EHCI Controller
00:13.0 USB Controller: ATI Technologies Inc SB700/SB800 USB OHCI0 Controller
00:13.1 USB Controller: ATI Technologies Inc SB700 USB OHCI1 Controller
00:13.2 USB Controller: ATI Technologies Inc SB700/SB800 USB EHCI Controller
00:14.0 SMBus: ATI Technologies Inc SBx00 SMBus Controller (rev 3a)
00:14.1 IDE interface: ATI Technologies Inc SB700/SB800 IDE Controller
00:14.2 Audio device: ATI Technologies Inc SBx00 Azalia (Intel HDA)
00:14.3 ISA bridge: ATI Technologies Inc SB700/SB800 LPC host controller
00:14.4 PCI bridge: ATI Technologies Inc SBx00 PCI to PCI Bridge
00:14.5 USB Controller: ATI Technologies Inc SB700/SB800 USB OHCI2 Controller
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
01:05.0 VGA compatible controller: ATI Technologies Inc Radeon HD 3200 Graphics
01:05.1 Audio device: ATI Technologies Inc RS780 Azalia controller
02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 02)
03:0e.0 FireWire (IEEE 1394): Texas Instruments TSB43AB23 IEEE-1394a-2000 Controller (PHY/Link)

There are some low quality images i got from consoles at http://www.pihhan.info/bugs/fedora11/, nothing i found helping however. I have grub installed in /dev/sda3 for fedora, in mbr is grub installed from debian. Only problem i can guess is activating swap from disk then trying change partitions or something, but dont know really.

Oh, there is something about softreset failed for every SATA device connected, but so far it had not problem with any linux i have there. I am attaching dmesg.log from my running instance of Fedora 10 i wanted to upgrade.
Comment 1 Petr Mensik 2009-06-19 09:00:21 EDT
Created attachment 348655 [details]
storage.log
Comment 2 Petr Mensik 2009-06-19 09:01:14 EDT
Created attachment 348656 [details]
anaconda.log
Comment 3 Michal Schmidt 2009-07-08 18:46:39 EDT
Here the symptoms are the same as in the infamous bug 491754: "DeviceError: cannot commit to disk sda after 5 attempts".
There is one big difference though. This bug's reporter does not use LVM at all, therefore David's fix for bug 491754 ( http://git.fedorahosted.org/git/?p=anaconda.git;a=commit;h=60ff94ed3fade0716086deeb99892bf1c5103e62 ) is unlikely to help here.
Comment 4 Joel Andres Granados 2009-08-14 11:55:54 EDT
Does this still happen with rawhide?  I just made an upgrade from f10 to the latest rawhide 20090813 and it went "smoothly",  A few glitches here and there but they are all taken care of in git head.
Can you pls retest?

If the behavior persists, can you pls post the output of `parted DEVICE unit s print free`

thx.
Comment 5 Hans de Goede 2009-12-16 08:31:56 EST
Closing due to lack of response to re-testing request.

If you encounter this issue again please open a new bug, and choose anaconda as component.

Note You need to log in before you can comment on or make changes to this bug.